Bug 237651 - dns/ddclient: Fix default permissions of config files and update pkg-message
Summary: dns/ddclient: Fix default permissions of config files and update pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-29 17:36 UTC by Samy Mahmoudi
Modified: 2019-05-18 10:32 UTC (History)
2 users (show)

See Also:
mjl: maintainer-feedback+


Attachments
Patch file generated with svn diff (1.06 KB, patch)
2019-04-29 17:36 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-04-29 17:36:33 UTC
Created attachment 204097 [details]
Patch file generated with svn diff

- Correct a package message made irrelevant by a silent change in revision 433788
- Change default permissions of configuration files to avoid a warning at first start
Comment 1 mjl 2019-04-30 02:26:51 UTC
This patch looks good to me.  Hopefully someone with a commit bit will commit your patch soon.

Thanks,

Matthew
Comment 2 commit-hook freebsd_committer 2019-05-18 10:29:19 UTC
A commit references this bug:

Author: kai
Date: Sat May 18 10:28:33 UTC 2019
New revision: 501948
URL: https://svnweb.freebsd.org/changeset/ports/501948

Log:
  dns/ddclient: Fix default permissions of config files and update pkg-message

  * Change the default permissions of the configuration files to avoid a
    warning at the first start.
  * Also update the instructions in pkg-message because since r433788 users no
    longer need to create a copy of the configuration file after installation.

  While I'm here:
  * Fix the license and add the location to the license file

  PR:		237651
  Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com>
  Approved by:	maintainer

Changes:
  head/dns/ddclient/Makefile
  head/dns/ddclient/files/pkg-message.in
Comment 3 Kai Knoblich freebsd_committer 2019-05-18 10:32:37 UTC
Committed, thank you both for the fixes and the approval!